Bug 1059209 - eap6-supported-artifacts BOM refers to versions of artifacts not available in patched EAP server
Summary: eap6-supported-artifacts BOM refers to versions of artifacts not available in...
Keywords:
Status: CLOSED CURRENTRELEASE
Alias: None
Product: JBoss Enterprise Application Platform 6
Classification: JBoss
Component: Maven Repository
Version: 6.2.1
Hardware: Unspecified
OS: Unspecified
unspecified
urgent
Target Milestone: CR3
: EAP 6.2.1
Assignee: Vaclav Tunka
QA Contact: Nikoleta Hlavickova
URL:
Whiteboard:
Depends On:
Blocks: eap62-cp01-blockers
TreeView+ depends on / blocked
 
Reported: 2014-01-29 12:45 UTC by Nikoleta Hlavickova
Modified: 2017-10-10 00:20 UTC (History)
2 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2014-02-24 20:14:33 UTC
Type: Bug


Attachments (Terms of Use)

Description Nikoleta Hlavickova 2014-01-29 12:45:32 UTC
This affects org-jboss-as-* artifacts not included in CP.

CP contains versions 7.3.1.Final-redhat-2
6.2.0 EAP server contains versions 7.3.0.Final-redhat-14
BOM file refers to versions 7.3.1.Final-redhat-2

Example for jboss-as-mail which is not included in CP:

BOM file:
      <dependency>
        <groupId>org.jboss.as</groupId>
        <artifactId>jboss-as-mail</artifactId>
        <version>7.3.1.Final-redhat-2</version>
      </dependency>

EAP 6.2.0 + CP:
./modules/system/layers/base/org/jboss/as/mail/main/jboss-as-mail-7.3.0.Final-redhat-14.jar

BOM file should contain artifact versions which are available in the patched EAP server.

Comment 1 Vladimir Dosoudil 2014-02-03 08:41:55 UTC
The patch zip has been fixed to include all upgraded jboss-as-* jars. No change in the BOM.

Comment 2 Vladimir Dosoudil 2014-02-03 08:42:27 UTC
Fixed in EAP 6.2.1.CP.CR3.1.

Comment 3 Nikoleta Hlavickova 2014-02-03 14:46:43 UTC
Verified with EAP 6.2.1.CP.CR3.1


Note You need to log in before you can comment on or make changes to this bug.